com.sun.grid.jgdi.configuration

## Interface ComplexEntry

- All Superinterfaces:
    GEObject
  All Known Implementing Classes:
    ComplexEntryImpl

      public interface ComplexEntry
      extends GEObject

  Java representation of the cull object CE_Type defined in sge_all_listsL.template

  Warning: The ComplexEntry class will not be compatible with future Sun™ Grid Engine releases.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `dump()`
    `int` | `getConsumable()` Get the value of the consumable attribute.
    `java.lang.String` | `getDefault()` Get the value of the default attribute.
    `java.lang.String` | `getName()` Get the value of the name attribute.
    `int` | `getRelop()` Get the value of the relop attribute.
    `int` | `getRequestable()` Get the value of the requestable attribute.
    `java.lang.String` | `getShortcut()` Get the value of the shortcut attribute.
    `java.lang.String` | `getStringval()` Get the value of the stringval attribute.
    `java.lang.String` | `getUrgencyWeight()` Get the value of the urgencyWeight attribute.
    `int` | `getValtype()` Get the value of the valtype attribute.
    `boolean` | `isSetConsumable()` Determine if any consumable attribute is set
    `boolean` | `isSetDefault()` Determine if any default attribute is set
    `boolean` | `isSetName()` Determine if any name attribute is set
    `boolean` | `isSetRelop()` Determine if any relop attribute is set
    `boolean` | `isSetRequestable()` Determine if any requestable attribute is set
    `boolean` | `isSetShortcut()` Determine if any shortcut attribute is set
    `boolean` | `isSetStringval()` Determine if any stringval attribute is set
    `boolean` | `isSetUrgencyWeight()` Determine if any urgencyWeight attribute is set
    `boolean` | `isSetValtype()` Determine if any valtype attribute is set
    `int` | `opToInt(java.lang.String type)`
    `java.lang.String` | `opToString(int op)`
    `int` | `reqToInt(java.lang.String type)`
    `java.lang.String` | `reqToString(int op)`
    `void` | `setConsumable(int aConsumable)` Set the consumable attribute.
    `void` | `setDefault(java.lang.String aDefault)` Set the default attribute.
    `void` | `setName(java.lang.String aName)` Set the name attribute.
    `void` | `setRelop(int aRelop)` Set the relop attribute.
    `void` | `setRequestable(int aRequestable)` Set the requestable attribute.
    `void` | `setShortcut(java.lang.String aShortcut)` Set the shortcut attribute.
    `void` | `setStringval(java.lang.String aStringval)` Set the stringval attribute.
    `void` | `setUrgencyWeight(java.lang.String aUrgencyWeight)` Set the urgencyWeight attribute.
    `void` | `setValtype(int aValtype)` Set the valtype attribute.
    `int` | `typeToInt(java.lang.String type)`
    `java.lang.String` | `typeToString(int type)`

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `equalsCompletely, getParent`

- - ### Method Detail

    - #### setName

          void setName(java.lang.String aName)

      Set the name attribute.
      Parameters:
        `aName` - the new value for the name attribute

    - #### getName

          java.lang.String getName()

      Get the value of the name attribute.
      Specified by:
        `getName` in interface `GEObject`
      Returns:
        the value of the name attribute

    - #### isSetName

          boolean isSetName()

      Determine if any name attribute is set
      Returns:
        `true` if the name attribute is set

    - #### setShortcut

          void setShortcut(java.lang.String aShortcut)

      Set the shortcut attribute.
      Parameters:
        `aShortcut` - the new value for the shortcut attribute

    - #### getShortcut

          java.lang.String getShortcut()

      Get the value of the shortcut attribute.
      Returns:
        the value of the shortcut attribute

    - #### isSetShortcut

          boolean isSetShortcut()

      Determine if any shortcut attribute is set
      Returns:
        `true` if the shortcut attribute is set

    - #### setValtype

          void setValtype(int aValtype)

      Set the valtype attribute.
      Parameters:
        `aValtype` - the new value for the valtype attribute

    - #### getValtype

          int getValtype()

      Get the value of the valtype attribute.
      Returns:
        the value of the valtype attribute

    - #### isSetValtype

          boolean isSetValtype()

      Determine if any valtype attribute is set
      Returns:
        `true` if the valtype attribute is set

    - #### setStringval

          void setStringval(java.lang.String aStringval)

      Set the stringval attribute.
      Parameters:
        `aStringval` - the new value for the stringval attribute

    - #### getStringval

          java.lang.String getStringval()

      Get the value of the stringval attribute.
      Returns:
        the value of the stringval attribute

    - #### isSetStringval

          boolean isSetStringval()

      Determine if any stringval attribute is set
      Returns:
        `true` if the stringval attribute is set

    - #### setRelop

          void setRelop(int aRelop)

      Set the relop attribute.
      Parameters:
        `aRelop` - the new value for the relop attribute

    - #### getRelop

          int getRelop()

      Get the value of the relop attribute.
      Returns:
        the value of the relop attribute

    - #### isSetRelop

          boolean isSetRelop()

      Determine if any relop attribute is set
      Returns:
        `true` if the relop attribute is set

    - #### setConsumable

          void setConsumable(int aConsumable)

      Set the consumable attribute.
      Parameters:
        `aConsumable` - the new value for the consumable attribute

    - #### getConsumable

          int getConsumable()

      Get the value of the consumable attribute.
      Returns:
        the value of the consumable attribute

    - #### isSetConsumable

          boolean isSetConsumable()

      Determine if any consumable attribute is set
      Returns:
        `true` if the consumable attribute is set

    - #### setDefault

          void setDefault(java.lang.String aDefault)

      Set the default attribute.
      Parameters:
        `aDefault` - the new value for the default attribute

    - #### getDefault

          java.lang.String getDefault()

      Get the value of the default attribute.
      Returns:
        the value of the default attribute

    - #### isSetDefault

          boolean isSetDefault()

      Determine if any default attribute is set
      Returns:
        `true` if the default attribute is set

    - #### setRequestable

          void setRequestable(int aRequestable)

      Set the requestable attribute.
      Parameters:
        `aRequestable` - the new value for the requestable attribute

    - #### getRequestable

          int getRequestable()

      Get the value of the requestable attribute.
      Returns:
        the value of the requestable attribute

    - #### isSetRequestable

          boolean isSetRequestable()

      Determine if any requestable attribute is set
      Returns:
        `true` if the requestable attribute is set

    - #### setUrgencyWeight

          void setUrgencyWeight(java.lang.String aUrgencyWeight)

      Set the urgencyWeight attribute.
      Parameters:
        `aUrgencyWeight` - the new value for the urgencyWeight attribute

    - #### getUrgencyWeight

          java.lang.String getUrgencyWeight()

      Get the value of the urgencyWeight attribute.
      Returns:
        the value of the urgencyWeight attribute

    - #### isSetUrgencyWeight

          boolean isSetUrgencyWeight()

      Determine if any urgencyWeight attribute is set
      Returns:
        `true` if the urgencyWeight attribute is set

    - #### typeToString

          java.lang.String typeToString(int type)

    - #### typeToInt

          int typeToInt(java.lang.String type)

    - #### opToString

          java.lang.String opToString(int op)

    - #### opToInt

          int opToInt(java.lang.String type)

    - #### reqToString

          java.lang.String reqToString(int op)

    - #### reqToInt

          int reqToInt(java.lang.String type)

    - #### dump

          java.lang.String dump()

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.